Index: trunk/SchedulingSystem/etc/spec/mockups/ViewTimelineTaskActions.bmml
===================================================================
--- trunk/SchedulingSystem/etc/spec/mockups/ViewTimelineTaskActions.bmml	(revision 16)
+++ trunk/SchedulingSystem/etc/spec/mockups/ViewTimelineTaskActions.bmml	(revision 17)
@@ -46,7 +46,7 @@
       </controlProperties>
     </control>
-    <control controlID="134" controlTypeID="__group__" x="120" y="26" w="-1" h="-1" measuredW="900" measuredH="700" zOrder="0" locked="true" isInGroup="-1">
+    <control controlID="136" controlTypeID="__group__" x="120" y="26" w="-1" h="-1" measuredW="900" measuredH="700" zOrder="0" locked="false" isInGroup="-1">
       <groupChildrenDescriptors>
-        <control controlID="94" controlTypeID="com.balsamiq.mockups::BrowserWindow" x="0" y="0" w="900" h="700" measuredW="450" measuredH="400" zOrder="0" locked="false" isInGroup="134">
+        <control controlID="94" controlTypeID="com.balsamiq.mockups::BrowserWindow" x="0" y="0" w="900" h="700" measuredW="450" measuredH="400" zOrder="0" locked="false" isInGroup="136">
           <controlProperties>
             <text>Scheduling%20System%0Ahttp%3A//ss.fmguler.com</text>
@@ -54,5 +54,5 @@
           </controlProperties>
         </control>
-        <control controlID="95" controlTypeID="com.balsamiq.mockups::TabBar" x="15" y="85" w="855" h="33" measuredW="508" measuredH="100" zOrder="1" locked="false" isInGroup="134">
+        <control controlID="95" controlTypeID="com.balsamiq.mockups::TabBar" x="15" y="85" w="855" h="33" measuredW="508" measuredH="100" zOrder="1" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>1</backgroundAlpha>
@@ -65,6 +65,6 @@
           </controlProperties>
         </control>
-        <control controlID="96" controlTypeID="com.balsamiq.mockups::Canvas" x="30" y="125" w="840" h="222" measuredW="100" measuredH="70" zOrder="2" locked="false" isInGroup="134"/>
-        <control controlID="97" controlTypeID="com.balsamiq.mockups::RoundButton" x="661" y="76" w="215" h="38" measuredW="36" measuredH="36" zOrder="3" locked="false" isInGroup="134">
+        <control controlID="96" controlTypeID="com.balsamiq.mockups::Canvas" x="30" y="125" w="840" h="222" measuredW="100" measuredH="70" zOrder="2" locked="false" isInGroup="136"/>
+        <control controlID="97" controlTypeID="com.balsamiq.mockups::RoundButton" x="661" y="76" w="215" h="38" measuredW="36" measuredH="36" zOrder="3" locked="false" isInGroup="136">
           <controlProperties>
             <icon>AlarmClockIcon%7Cmedium</icon>
@@ -73,5 +73,5 @@
           </controlProperties>
         </control>
-        <control controlID="98" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="140" w="189" h="-1" measuredW="65" measuredH="24" zOrder="4" locked="false" isInGroup="134">
+        <control controlID="98" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="140" w="189" h="-1" measuredW="65" measuredH="24" zOrder="4" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -86,5 +86,5 @@
           </controlProperties>
         </control>
-        <control controlID="99" controlTypeID="com.balsamiq.mockups::Title" x="45" y="140" w="-1" h="-1" measuredW="39" measuredH="25" zOrder="5" locked="false" isInGroup="134">
+        <control controlID="99" controlTypeID="com.balsamiq.mockups::Title" x="45" y="140" w="-1" h="-1" measuredW="39" measuredH="25" zOrder="5" locked="false" isInGroup="136">
           <controlProperties>
             <size>13</size>
@@ -92,5 +92,5 @@
           </controlProperties>
         </control>
-        <control controlID="100" controlTypeID="com.balsamiq.mockups::Title" x="45" y="209" w="-1" h="-1" measuredW="40" measuredH="25" zOrder="6" locked="false" isInGroup="134">
+        <control controlID="100" controlTypeID="com.balsamiq.mockups::Title" x="45" y="209" w="-1" h="-1" measuredW="40" measuredH="25" zOrder="6" locked="false" isInGroup="136">
           <controlProperties>
             <size>13</size>
@@ -98,5 +98,5 @@
           </controlProperties>
         </control>
-        <control controlID="101" controlTypeID="com.balsamiq.mockups::Title" x="45" y="282" w="-1" h="-1" measuredW="38" measuredH="25" zOrder="7" locked="false" isInGroup="134">
+        <control controlID="101" controlTypeID="com.balsamiq.mockups::Title" x="45" y="282" w="-1" h="-1" measuredW="38" measuredH="25" zOrder="7" locked="false" isInGroup="136">
           <controlProperties>
             <size>13</size>
@@ -104,5 +104,5 @@
           </controlProperties>
         </control>
-        <control controlID="102" controlTypeID="com.balsamiq.mockups::TextInput" x="295" y="140" w="341" h="-1" measuredW="65" measuredH="24" zOrder="8" locked="false" isInGroup="134">
+        <control controlID="102" controlTypeID="com.balsamiq.mockups::TextInput" x="295" y="140" w="341" h="-1" measuredW="65" measuredH="24" zOrder="8" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -117,5 +117,5 @@
           </controlProperties>
         </control>
-        <control controlID="103" controlTypeID="com.balsamiq.mockups::TextInput" x="403" y="282" w="77" h="-1" measuredW="65" measuredH="24" zOrder="9" locked="false" isInGroup="134">
+        <control controlID="103" controlTypeID="com.balsamiq.mockups::TextInput" x="403" y="282" w="77" h="-1" measuredW="65" measuredH="24" zOrder="9" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -130,5 +130,5 @@
           </controlProperties>
         </control>
-        <control controlID="104" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="282" w="296" h="-1" measuredW="65" measuredH="24" zOrder="10" locked="false" isInGroup="134">
+        <control controlID="104" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="282" w="296" h="-1" measuredW="65" measuredH="24" zOrder="10" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -143,5 +143,5 @@
           </controlProperties>
         </control>
-        <control controlID="105" controlTypeID="com.balsamiq.mockups::TextInput" x="227" y="170" w="123" h="-1" measuredW="65" measuredH="24" zOrder="11" locked="false" isInGroup="134">
+        <control controlID="105" controlTypeID="com.balsamiq.mockups::TextInput" x="227" y="170" w="123" h="-1" measuredW="65" measuredH="24" zOrder="11" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -156,5 +156,5 @@
           </controlProperties>
         </control>
-        <control controlID="106" controlTypeID="com.balsamiq.mockups::TextInput" x="212" y="209" w="351" h="-1" measuredW="65" measuredH="24" zOrder="12" locked="false" isInGroup="134">
+        <control controlID="106" controlTypeID="com.balsamiq.mockups::TextInput" x="212" y="209" w="351" h="-1" measuredW="65" measuredH="24" zOrder="12" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -169,5 +169,5 @@
           </controlProperties>
         </control>
-        <control controlID="107" controlTypeID="com.balsamiq.mockups::TextInput" x="359" y="170" w="252" h="-1" measuredW="65" measuredH="24" zOrder="13" locked="false" isInGroup="134">
+        <control controlID="107" controlTypeID="com.balsamiq.mockups::TextInput" x="359" y="170" w="252" h="-1" measuredW="65" measuredH="24" zOrder="13" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -182,5 +182,5 @@
           </controlProperties>
         </control>
-        <control controlID="108" controlTypeID="com.balsamiq.mockups::TextInput" x="437" y="243" w="371" h="-1" measuredW="65" measuredH="24" zOrder="14" locked="false" isInGroup="134">
+        <control controlID="108" controlTypeID="com.balsamiq.mockups::TextInput" x="437" y="243" w="371" h="-1" measuredW="65" measuredH="24" zOrder="14" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -195,5 +195,5 @@
           </controlProperties>
         </control>
-        <control controlID="109" controlTypeID="com.balsamiq.mockups::TextInput" x="644" y="140" w="189" h="-1" measuredW="65" measuredH="24" zOrder="15" locked="false" isInGroup="134">
+        <control controlID="109" controlTypeID="com.balsamiq.mockups::TextInput" x="644" y="140" w="189" h="-1" measuredW="65" measuredH="24" zOrder="15" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -208,5 +208,5 @@
           </controlProperties>
         </control>
-        <control controlID="110" controlTypeID="com.balsamiq.mockups::TextInput" x="670" y="282" w="189" h="-1" measuredW="65" measuredH="24" zOrder="16" locked="false" isInGroup="134">
+        <control controlID="110" controlTypeID="com.balsamiq.mockups::TextInput" x="670" y="282" w="189" h="-1" measuredW="65" measuredH="24" zOrder="16" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -221,5 +221,5 @@
           </controlProperties>
         </control>
-        <control controlID="111" controlTypeID="com.balsamiq.mockups::TextInput" x="571" y="209" w="130" h="-1" measuredW="65" measuredH="24" zOrder="17" locked="false" isInGroup="134">
+        <control controlID="111" controlTypeID="com.balsamiq.mockups::TextInput" x="571" y="209" w="130" h="-1" measuredW="65" measuredH="24" zOrder="17" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -234,5 +234,5 @@
           </controlProperties>
         </control>
-        <control controlID="112" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="209" w="108" h="-1" measuredW="65" measuredH="24" zOrder="18" locked="false" isInGroup="134">
+        <control controlID="112" controlTypeID="com.balsamiq.mockups::TextInput" x="99" y="209" w="108" h="-1" measuredW="65" measuredH="24" zOrder="18" locked="false" isInGroup="136">
           <controlProperties>
             <align>left</align>
@@ -247,5 +247,5 @@
           </controlProperties>
         </control>
-        <control controlID="113" controlTypeID="com.balsamiq.mockups::HSlider" x="30" y="321" w="838" h="-1" measuredW="33" measuredH="11" zOrder="19" locked="false" isInGroup="134">
+        <control controlID="113" controlTypeID="com.balsamiq.mockups::HSlider" x="30" y="321" w="838" h="-1" measuredW="33" measuredH="11" zOrder="19" locked="false" isInGroup="136">
           <controlProperties>
             <state>up</state>
@@ -253,5 +253,5 @@
           </controlProperties>
         </control>
-        <control controlID="114" controlTypeID="com.balsamiq.mockups::Label" x="99" y="327" w="760" h="15" measuredW="715" measuredH="20" zOrder="20" locked="false" isInGroup="134">
+        <control controlID="114" controlTypeID="com.balsamiq.mockups::Label" x="99" y="327" w="760" h="15" measuredW="715" measuredH="20" zOrder="20" locked="false" isInGroup="136">
           <controlProperties>
             <size>10</size>
@@ -259,5 +259,5 @@
           </controlProperties>
         </control>
-        <control controlID="115" controlTypeID="com.balsamiq.mockups::Button" x="489" y="280" w="168" h="28" measuredW="114" measuredH="28" zOrder="21" locked="false" isInGroup="134">
+        <control controlID="115" controlTypeID="com.balsamiq.mockups::Button" x="489" y="280" w="168" h="28" measuredW="114" measuredH="28" zOrder="21" locked="false" isInGroup="136">
           <controlProperties>
             <color>16776960</color>
@@ -268,15 +268,15 @@
           </controlProperties>
         </control>
-        <control controlID="116" controlTypeID="com.balsamiq.mockups::FieldSet" x="30" y="403" w="838" h="243" measuredW="200" measuredH="170" zOrder="22" locked="false" isInGroup="134">
+        <control controlID="116" controlTypeID="com.balsamiq.mockups::FieldSet" x="30" y="403" w="838" h="243" measuredW="200" measuredH="170" zOrder="22" locked="false" isInGroup="136">
           <controlProperties>
             <text>Filter%20Criteria</text>
           </controlProperties>
         </control>
-        <control controlID="117" controlTypeID="com.balsamiq.mockups::Label" x="45" y="425" w="-1" h="-1" measuredW="63" measuredH="25" zOrder="23" locked="false" isInGroup="134">
+        <control controlID="117" controlTypeID="com.balsamiq.mockups::Label" x="45" y="425" w="-1" h="-1" measuredW="63" measuredH="25" zOrder="23" locked="false" isInGroup="136">
           <controlProperties>
             <text>Projects%3A</text>
           </controlProperties>
         </control>
-        <control controlID="118" controlTypeID="com.balsamiq.mockups::Tree" x="114" y="423" w="174" h="205" measuredW="300" measuredH="225" zOrder="24" locked="false" isInGroup="134">
+        <control controlID="118" controlTypeID="com.balsamiq.mockups::Tree" x="114" y="423" w="174" h="205" measuredW="300" measuredH="225" zOrder="24" locked="false" isInGroup="136">
           <controlProperties>
             <borderStyle>square</borderStyle>
@@ -285,5 +285,5 @@
           </controlProperties>
         </control>
-        <control controlID="119" controlTypeID="__group__" x="682" y="350" w="-1" h="-1" measuredW="186" measuredH="55" zOrder="25" locked="false" isInGroup="134">
+        <control controlID="119" controlTypeID="__group__" x="682" y="350" w="-1" h="-1" measuredW="186" measuredH="55" zOrder="25" locked="false" isInGroup="136">
           <groupChildrenDescriptors>
             <control controlID="101" controlTypeID="__group__" x="9" y="3" w="168" h="50" measuredW="168" measuredH="50" zOrder="1" locked="false" isInGroup="103">
@@ -309,10 +309,10 @@
           </groupChildrenDescriptors>
         </control>
-        <control controlID="120" controlTypeID="com.balsamiq.mockups::Label" x="303" y="424" w="-1" h="-1" measuredW="74" measuredH="25" zOrder="26" locked="false" isInGroup="134">
+        <control controlID="120" controlTypeID="com.balsamiq.mockups::Label" x="303" y="424" w="-1" h="-1" measuredW="74" measuredH="25" zOrder="26" locked="false" isInGroup="136">
           <controlProperties>
             <text>Resources%3A</text>
           </controlProperties>
         </control>
-        <control controlID="121" controlTypeID="com.balsamiq.mockups::List" x="385" y="425" w="205" h="198" measuredW="100" measuredH="126" zOrder="27" locked="false" isInGroup="134">
+        <control controlID="121" controlTypeID="com.balsamiq.mockups::List" x="385" y="425" w="205" h="198" measuredW="100" measuredH="126" zOrder="27" locked="false" isInGroup="136">
           <controlProperties>
             <color>15134199</color>
@@ -322,5 +322,5 @@
           </controlProperties>
         </control>
-        <control controlID="122" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="564" w="29" h="-1" measuredW="79" measuredH="29" zOrder="28" locked="false" isInGroup="134">
+        <control controlID="122" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="564" w="29" h="-1" measuredW="79" measuredH="29" zOrder="28" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -329,5 +329,5 @@
           </controlProperties>
         </control>
-        <control controlID="123" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="591" w="29" h="-1" measuredW="79" measuredH="29" zOrder="29" locked="false" isInGroup="134">
+        <control controlID="123" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="591" w="29" h="-1" measuredW="79" measuredH="29" zOrder="29" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -336,5 +336,5 @@
           </controlProperties>
         </control>
-        <control controlID="124" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="457" w="29" h="-1" measuredW="79" measuredH="29" zOrder="30" locked="false" isInGroup="134">
+        <control controlID="124" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="457" w="29" h="-1" measuredW="79" measuredH="29" zOrder="30" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -343,5 +343,5 @@
           </controlProperties>
         </control>
-        <control controlID="125" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="482" w="29" h="-1" measuredW="79" measuredH="29" zOrder="31" locked="false" isInGroup="134">
+        <control controlID="125" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="482" w="29" h="-1" measuredW="79" measuredH="29" zOrder="31" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -350,5 +350,5 @@
           </controlProperties>
         </control>
-        <control controlID="126" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="509" w="29" h="-1" measuredW="79" measuredH="29" zOrder="32" locked="false" isInGroup="134">
+        <control controlID="126" controlTypeID="com.balsamiq.mockups::TextInput" x="142" y="509" w="29" h="-1" measuredW="79" measuredH="29" zOrder="32" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -357,5 +357,5 @@
           </controlProperties>
         </control>
-        <control controlID="127" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="430" w="44" h="-1" measuredW="79" measuredH="29" zOrder="33" locked="false" isInGroup="134">
+        <control controlID="127" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="430" w="44" h="-1" measuredW="79" measuredH="29" zOrder="33" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -364,5 +364,5 @@
           </controlProperties>
         </control>
-        <control controlID="128" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="467" w="44" h="-1" measuredW="79" measuredH="29" zOrder="34" locked="false" isInGroup="134">
+        <control controlID="128" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="467" w="44" h="-1" measuredW="79" measuredH="29" zOrder="34" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -371,5 +371,5 @@
           </controlProperties>
         </control>
-        <control controlID="129" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="503" w="44" h="-1" measuredW="79" measuredH="29" zOrder="35" locked="false" isInGroup="134">
+        <control controlID="129" controlTypeID="com.balsamiq.mockups::TextInput" x="391" y="503" w="44" h="-1" measuredW="79" measuredH="29" zOrder="35" locked="false" isInGroup="136">
           <controlProperties>
             <backgroundAlpha>0.5</backgroundAlpha>
@@ -378,5 +378,5 @@
           </controlProperties>
         </control>
-        <control controlID="130" controlTypeID="com.balsamiq.mockups::Button" x="34" y="359" w="-1" h="-1" measuredW="141" measuredH="32" zOrder="36" locked="false" isInGroup="134">
+        <control controlID="130" controlTypeID="com.balsamiq.mockups::Button" x="34" y="359" w="-1" h="-1" measuredW="141" measuredH="32" zOrder="36" locked="false" isInGroup="136">
           <controlProperties>
             <icon>RewindIcon%7Csmall</icon>
@@ -384,5 +384,5 @@
           </controlProperties>
         </control>
-        <control controlID="131" controlTypeID="com.balsamiq.mockups::Button" x="186" y="359" w="-1" h="-1" measuredW="124" measuredH="32" zOrder="37" locked="false" isInGroup="134">
+        <control controlID="131" controlTypeID="com.balsamiq.mockups::Button" x="186" y="359" w="-1" h="-1" measuredW="124" measuredH="32" zOrder="37" locked="false" isInGroup="136">
           <controlProperties>
             <icon>ForwardIcon%7Csmall</icon>
@@ -390,5 +390,5 @@
           </controlProperties>
         </control>
-        <control controlID="132" controlTypeID="com.balsamiq.mockups::Button" x="325" y="359" w="-1" h="-1" measuredW="87" measuredH="32" zOrder="38" locked="false" isInGroup="134">
+        <control controlID="132" controlTypeID="com.balsamiq.mockups::Button" x="325" y="359" w="-1" h="-1" measuredW="87" measuredH="32" zOrder="38" locked="false" isInGroup="136">
           <controlProperties>
             <color>15132390</color>
@@ -397,5 +397,5 @@
           </controlProperties>
         </control>
-        <control controlID="133" controlTypeID="com.balsamiq.mockups::Button" x="432" y="359" w="-1" h="-1" measuredW="131" measuredH="32" zOrder="39" locked="false" isInGroup="134">
+        <control controlID="133" controlTypeID="com.balsamiq.mockups::Button" x="432" y="359" w="-1" h="-1" measuredW="131" measuredH="32" zOrder="39" locked="false" isInGroup="136">
           <controlProperties>
             <icon>SearchIcon%7Csmall</icon>
@@ -403,4 +403,16 @@
           </controlProperties>
         </control>
+        <control controlID="134" controlTypeID="com.balsamiq.mockups::Tree" x="682" y="425" w="174" h="205" measuredW="300" measuredH="225" zOrder="40" locked="false" isInGroup="136">
+          <controlProperties>
+            <borderStyle>square</borderStyle>
+            <text>v%20Project%201%0A%20%3E%20Component%201%0A%20%3E%20Component%202%0A%20%3E%20Component%203%0Av%20Project%202%0A%20%3E%20Component%201%0A%20%3E%20Component%202</text>
+            <verticalScrollbar>true</verticalScrollbar>
+          </controlProperties>
+        </control>
+        <control controlID="135" controlTypeID="com.balsamiq.mockups::Label" x="599" y="431" w="-1" h="-1" measuredW="82" measuredH="25" zOrder="41" locked="false" isInGroup="136">
+          <controlProperties>
+            <text>Components%3A</text>
+          </controlProperties>
+        </control>
       </groupChildrenDescriptors>
     </control>